Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Lisp Request: Topographic Plan View of a Wall

6 REPLIES 6
SOLVED
Reply
Message 1 of 7
mxsm
644 Views, 6 Replies

Lisp Request: Topographic Plan View of a Wall

Hello folks, I have seen many versions of wall lisps for architects but not one for a surveyor on a topographic map. We locate one side of the wall and then draw it with three polylines: two "Continuous" plines for the wall faces and a "Hidden" linetype pline, color 8, with the width of the wall. (see picture) I use lisps a lot but I have never learned to write one. Would someone have a lisp that lets me draw one side of the wall, give it the width of the wall and it draws the other two lines as I described above? Thanks for your help Marty
6 REPLIES 6
Message 2 of 7
mxsm
in reply to: mxsm

Here is the picture
Message 3 of 7
mxsm
in reply to: mxsm

 
Message 4 of 7
mxsm
in reply to: mxsm

I'm not sure what I'm doing wrong, but I cannot get the image to load. This is my final try.
Message 5 of 7
mxsm
in reply to: mxsm

BTW I am using Civil 3D 2013.
Message 6 of 7
Kent1Cooper
in reply to: mxsm


@mxsm wrote:
.... We locate one side of the wall and then draw it with three polylines: two "Continuous" plines for the wall faces and a "Hidden" linetype pline, color 8, with the width of the wall. ....

Assuming I understand correctly without a picture, give this quickie a try [minimally tested]:

 

(defun C:W3 (/ wid edge side); = Wall of 3 Polylines [center one with width, Hidden linetype, color 8]
  (setq wid (getdist "\nWall width: "))
  (command "_.pline" pause "_width" 0 0)
  (while (> (getvar 'cmdactive) 0) (command pause)); draw Polyline
  (setq edge (entlast))
  (command
    "_.offset" wid edge (setq side (getpoint "\nPoint toward other side of wall: ")) ""
    "_.offset" (/ wid 2) edge side ""
    "_.chprop" "_last" "" "_color" 8 "_ltype" "hidden" ""
  ); command
  (entmod (append (entget (entlast)) (list (cons 43 wid))))
); defun

 

It includes the drawing of one side of the wall within it, so it would need to be altered if you want to select an already-drawn edge.  It could use the usual bells and whistles, and could also be enhanced, such as to remember the wall width to offer as a default on subsequent use, and/or to take you to a specific Layer, and so on.

Kent Cooper, AIA
Message 7 of 7
mxsm
in reply to: Kent1Cooper

You sir are amazing! This is perfect. Thank you very much.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost